Bug 609598 - barcode : does not adhere to Static Library Packaging Guidelines
Summary: barcode : does not adhere to Static Library Packaging Guidelines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: barcode
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 16:57 UTC by Michael Schwendt
Modified: 2011-02-19 01:25 UTC (History)
2 users (show)

Fixed In Version: barcode-0.98-17.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 18:10:25 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2010-06-30 16:57:56 UTC
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Build: barcode-0.98-14.fc12.src.rpm

barcode-devel
    contains only static libraries,
    but no virtual -static package is provided

Comment 1 Bug Zapper 2010-07-30 12:19:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Hans Ulrich Niedermann 2010-08-01 16:28:54 UTC
I have fixed this locally, waiting for commit access.

Comment 3 Fedora Update System 2010-08-01 16:55:53 UTC
barcode-0.98-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/barcode-0.98-15.fc13

Comment 4 Fedora Update System 2010-08-01 16:55:58 UTC
barcode-0.98-15.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/barcode-0.98-15.fc14

Comment 5 Fedora Update System 2010-08-01 16:56:03 UTC
barcode-0.98-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/barcode-0.98-15.fc12

Comment 6 Fedora Update System 2010-08-01 19:27:22 UTC
barcode-0.98-15.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update barcode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/barcode-0.98-15.fc14

Comment 7 Michael Schwendt 2010-08-02 18:10:25 UTC
Closed by: fedora-report-static-batch.py

Comment 8 Fedora Update System 2011-02-09 18:52:18 UTC
barcode-0.98-17.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/barcode-0.98-17.fc13

Comment 9 Fedora Update System 2011-02-09 18:52:27 UTC
barcode-0.98-17.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/barcode-0.98-17.fc14

Comment 10 Fedora Update System 2011-02-19 01:23:46 UTC
barcode-0.98-17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-19 01:25:53 UTC
barcode-0.98-17.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.